upsertWarehouseTransfer
WRITEUpsert warehouse transfer.
POST /api/v1/inventory/upsertWarehouseTransfer
curl -X POST '<your-host>/api/v1/inventory/upsertWarehouseTransfer' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"fromLocationId": "string",
"toLocationId": "string",
"transferId": "string",
"_operation": "create"
}'Response
{
"id": "string"
}Parameters
ParameterType
Required. 'create' inserts a new record, 'update' modifies the existing record with this id.
"create""update"
min length 1
min length 1
"Draft""To Ship and Receive""To Ship""To Receive""Completed""Cancelled"
Input schema
schema
{
"type": "object",
"properties": {
"fromLocationId": {
"type": "string",
"minLength": 1
},
"toLocationId": {
"type": "string",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"Draft",
"To Ship and Receive",
"To Ship",
"To Receive",
"Completed",
"Cancelled"
]
},
"transferDate": {
"type": "string"
},
"expectedReceiptDate": {
"type": "string"
},
"notes": {
"type": "string"
},
"reference": {
"type": "string"
},
"transferId": {
"type": "string"
},
"customFields": {},
"id": {
"type": "string"
},
"_operation": {
"type": "string",
"enum": [
"create",
"update"
],
"description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
}
},
"required": [
"fromLocationId",
"toLocationId",
"transferId",
"_operation"
]
}